Home

Terra Classic - gRPC Gateway docs

v2.2.0
Base URL
https://lunc.nownodes.io

REST interface for Terra Classic https://github.com/classic-terra/core

Authentication

api-keyAuthapiKey

API Key: api-key in header

API reference

Tx

EstimateFee simulates executing a transaction for estimating gas usage.

POST
https://lunc.nownodes.io/terra/tx/v1beta1/compute_tax

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Body

application/json
any

Response

200OK

A successful response.

default

An unexpected error response.

Market

Params queries all parameters.

GET
https://lunc.nownodes.io/terra/market/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Swap returns simulated swap amount.

GET
https://lunc.nownodes.io/terra/market/v1beta1/swap

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

offer_coinstringquery

offer_coin defines the coin being offered (i.e. 1000000uluna).

ask_denomstringquery

ask_denom defines the denom of the coin to swap to.

Response

200OK

A successful response.

default

An unexpected error response.

TerraPoolDelta returns terra_pool_delta amount.

GET
https://lunc.nownodes.io/terra/market/v1beta1/terra_pool_delta

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Oracle

Actives returns all active denoms

GET
https://lunc.nownodes.io/terra/oracle/v1beta1/denoms/actives

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

ExchangeRates returns exchange rates of all denoms

GET
https://lunc.nownodes.io/terra/oracle/v1beta1/denoms/exchange_rates

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

TobinTaxes returns tobin taxes of all denoms

GET
https://lunc.nownodes.io/terra/oracle/v1beta1/denoms/tobin_taxes

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

VoteTargets returns all vote target denoms

GET
https://lunc.nownodes.io/terra/oracle/v1beta1/denoms/vote_targets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

ExchangeRate returns exchange rate of a denom

GET
https://lunc.nownodes.io/terra/oracle/v1beta1/denoms/{denom}/exchange_rate

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringrequiredpath

denom defines the denomination to query for.

Response

200OK

A successful response.

default

An unexpected error response.

TobinTax returns tobin tax of a denom

GET
https://lunc.nownodes.io/terra/oracle/v1beta1/denoms/{denom}/tobin_tax

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringrequiredpath

denom defines the denomination to query for.

Response

200OK

A successful response.

default

An unexpected error response.

Params queries all parameters.

GET
https://lunc.nownodes.io/terra/oracle/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

AggregateVote returns an aggregate vote of a validator

GET
https://lunc.nownodes.io/terra/oracle/v1beta1/valdiators/{validator_addr}/aggregate_vote

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addrstringrequiredpath

validator defines the validator address to query for.

Response

200OK

A successful response.

default

An unexpected error response.

AggregatePrevotes returns aggregate prevotes of all validators

GET
https://lunc.nownodes.io/terra/oracle/v1beta1/validators/aggregate_prevotes

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

AggregateVotes returns aggregate votes of all validators

GET
https://lunc.nownodes.io/terra/oracle/v1beta1/validators/aggregate_votes

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

AggregatePrevote returns an aggregate prevote of a validator

GET
https://lunc.nownodes.io/terra/oracle/v1beta1/validators/{validator_addr}/aggregate_prevote

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addrstringrequiredpath

validator defines the validator address to query for.

Response

200OK

A successful response.

default

An unexpected error response.

FeederDelegation returns feeder delegation of a validator

GET
https://lunc.nownodes.io/terra/oracle/v1beta1/validators/{validator_addr}/feeder

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addrstringrequiredpath

validator defines the validator address to query for.

Response

200OK

A successful response.

default

An unexpected error response.

MissCounter returns oracle miss counter of a validator

GET
https://lunc.nownodes.io/terra/oracle/v1beta1/validators/{validator_addr}/miss

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addrstringrequiredpath

validator defines the validator address to query for.

Response

200OK

A successful response.

default

An unexpected error response.

Treasury

BurnTaxExemptionList returns all registered burn tax exemption addresses

GET
https://lunc.nownodes.io/terra/treasury/v1beta1/burn_tax_exemption_list

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

Indicators return the current trl informations

GET
https://lunc.nownodes.io/terra/treasury/v1beta1/indicators

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Params queries all parameters.

GET
https://lunc.nownodes.io/terra/treasury/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

RewardWeight return the current reward weight

GET
https://lunc.nownodes.io/terra/treasury/v1beta1/reward_weight

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

SeigniorageProceeds return the current seigniorage proceeds

GET
https://lunc.nownodes.io/terra/treasury/v1beta1/seigniorage_proceeds

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

TaxCaps returns the all tax caps

GET
https://lunc.nownodes.io/terra/treasury/v1beta1/tax_caps

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

TaxCap returns the tax cap of a denom

GET
https://lunc.nownodes.io/terra/treasury/v1beta1/tax_caps/{denom}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringrequiredpath

denom defines the denomination to query for.

Response

200OK

A successful response.

default

An unexpected error response.

TaxProceeds return the current tax proceeds

GET
https://lunc.nownodes.io/terra/treasury/v1beta1/tax_proceeds

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

TaxRate return the current tax rate

GET
https://lunc.nownodes.io/terra/treasury/v1beta1/tax_rate

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Tax

BurnTaxRate return the current tax rate

GET
https://lunc.nownodes.io/terra/tax/v1beta1/burn_tax_rate

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Dyncomm

Params queries all parameters.

GET
https://lunc.nownodes.io/terra/dyncomm/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

GET
https://lunc.nownodes.io/terra/dyncomm/v1beta1/rate/{validator_addr}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addrstringrequiredpath

validator_addr defines the validator address to query for.

Response

200OK

A successful response.

default

An unexpected error response.